cubicweb-nosylist #2568387 update to API of CW 3.15 [validation pending]

to get rid of warning messages.

prioritynormal
typeenhancement
done in0.6.0
load0.100
load left0.000
closed by#805a671ff184 upgrade to API of cw 3.15 (closes #2568387), #787236cfd80e [pkg] Declare dependency on cw 3.15
patchupgrade to API of cw 3.15 (closes #2568387) [applied]